/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package command.commands;

import command.CommandInterface;
import java.util.ArrayList;
import model.AdressVerwaltungModel;
import view.MainWindow;

/**
 *
 * @author PC
 */
public class CommandEintragLoeschen implements CommandInterface{

    private MainWindow view;
    private AdressVerwaltungModel model;
    private ArrayList<String> cache;
    
    public CommandEintragLoeschen(MainWindow view, AdressVerwaltungModel model) {
        
        this.view = view;
        this.model = model;
        this.cache = new ArrayList<>();
        
        
        
    }

    @Override
    public void execute() {
        this.cache = this.model.getLastRowData();
        this.model.eintragLoeschen(this.model.getRowCount()-1);
    }

    @Override
    public void undo() {
        this.model.eintragHinzufuegen(this.cache);
    }

    @Override
    public boolean isUndoable() {
        return true;
    }
    
    
}
